# Copyright (C) 2022

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

aoc_expect() {
    local solution="$1"
    local input="$2"
    local expected="$3"
    local result=$(${solution} ${input})
    if [[ ${result} != ${expected} ]]; then
        echo "${solution} test failed"
        echo "expected: ${expected}"
        echo "result: ${result}"
        return 1
    else
        echo "${solution} test passed"
    fi
}
